Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        Nautilus is a file manager for GNOME.
Name:      	nautilus
Version:   	2.22.2
Release:   	2
License: 	GNU/LGPL
URL: 		http://www.gnome.org/projects/nautilus/
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
Patch3:		background-no-delay.patch
Patch6:         nautilus-2.22.1-dynamic-search.patch
Patch7:		rtl-fix.patch
Patch8:		nautilus-2.22.1-hide-white-screen.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	gamin
Requires:	gvfs
Requires:       gnome-vfs
Requires:       gnome-vfs-smb
Requires:       eel
Requires:       gnome-icon-theme
Requires:       libexif
Requires: 	eject
Requires: 	libbonoboui
PreReq:    	scrollkeeper
BuildRequires:	gvfs-devel
BuildRequires:	glib-devel
BuildRequires:	pango-devel
BuildRequires:	gtk2+-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libxml2-devel
BuildRequires:  eel-devel
BuildRequires:  gail-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:	gamin-devel
BuildRequires:  librsvg
BuildRequires:  intltool
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  fontconfig
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  startup-notification-devel
BuildRequires:  libexif-devel
BuildRequires:  gettext exempi-devel

# For intltool:
BuildRequires: 	perl-XML-Parser audiofile-devel avahi-devel libbonoboui-devel alsa-lib-devel openssl-devel

Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%package extensions
Summary: 	Nautilus extensions library
Group: 		Development/Libraries

%description extensions
This package provides the libraries used by nautilus extensions.

%package devel
Summary: 	Libraries and include files for developing nautilus extensions
Group: 		Development/Libraries
Requires:   	%{name} = %{version}-%{release}
Requires:   	pkg-config

%description devel
This package provides the necessary development libraries and headers
for writing nautilus extensions.

%post
/sbin/ldconfig
scrollkeeper-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update

%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 -b .no-delay
%patch6 -p1 -b .dynamic-search
%patch7 -p1 -b .rtl-fix
%patch8 -p1 -b .hide-white-screen

%build

libtoolize --force --copy
CFLAGS="$RPM_OPT_FLAGS -g -DUGLY_HACK_TO_DETECT_KDE -DNAUTILUS_OMIT_SELF_CHECK" %configure --sysconfdir=%_sysconfdir/gnome --disable-more-warnings --disable-update-mimedb

export tagname=CC
LANG=en_US make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
LANG=en_US make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# make sure desktop files validate by ignoring sr@Latn
perl -pi -e 's/sr\@Latn/sp/g' $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0

%find_lang %name

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB ChangeLog NEWS README
%{_libdir}/nautilus
%{_libdir}/bonobo/servers
%{_datadir}/nautilus
%{_datadir}/icons
%{_datadir}/pixmaps
%{_datadir}/applications
%{_datadir}/mime/packages/nautilus.xml
#%{_datadir}/gnome
#%{_datadir}/omf
%{_bindir}/*
%{_sysconfdir}/gnome/gconf/schemas/*

%files extensions
%defattr(-, root, root)
%{_libdir}/libnautilus-extension.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/nautilus
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
#%{_libdir}/bonobo/*.la
%{_libdir}/*.la
#%{_libdir}/bonobo/*.a
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.22.2-2
- rebuilt against poppler 0.8.0
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-3
- readded patches
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-2
- patch removal
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-2
- added gvfs require
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0.1-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, removed some patches
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-1
- Initial Release
